import request from '@/utils/request'

// 查询离线合同
export function searchOfflineContract(pageCurrent, pageSize, check1, num, check2, name) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '采购管理_离线合同_查询数据',
      param: `离线合同编号_check=${check1}&离线合同编号=${num}&供应商名称_check=${check2}&供应商名称=${name}&是否不包含编辑中=1`,
      Pagination: pageCurrent + '&' + pageSize
    }
  })
}
// 查询离线合同明细
export function searchOfflineContractContent(num) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '采购管理_离线合同明细_查询数据',
      param: `离线合同流水号=${num}`
    }
  })
}
